Bug 795451 - Review Request: basex - XML database and XPath/XQuery processor [NEEDINFO]
Review Request: basex - XML database and XPath/XQuery processor
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-02-20 10:18 EST by dimitar
Modified: 2015-01-26 07:13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-01-26 07:13:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: needinfo? (dimitar.popov)

Attachments (Terms of Use)

  None (edit)
Description dimitar 2012-02-20 10:18:18 EST
Spec URL: https://api.opensuse.org:443/public/source/home:dimitar_popov/BaseX/basex.spec
SRPM URL: http://download.opensuse.org/repositories/home:/dimitar_popov/Fedora_16/src/basex-7.1.1-4.1.src.rpm
Description: BaseX is a very fast and light-weight, yet powerful XML database and
XPath/XQuery processor, including support for the latest W3C Full Text and
Update Recommendations. It supports large XML instances and offers a highly
interactive front-end (basexgui). Apart from two local standalone modes, BaseX
offers a client/server architecture.
Comment 1 Alexander Kurtakov 2012-02-20 11:55:43 EST
Are you sponsored? If not please block FE-NEEDSPONSOR

* It would be good to keep the build.xml as SourceX instead of catting it in the spec.
* checks like %if 0%{?suse_version} > 1000 make no sense in fedora, we either need it or not
* please install javadocs into %{_javadocdir}/%{name} not in %{_javadocdir}/%{name}-%{version} and drop the symlink/ghost thing
* no need for clean section and cleaning in the install section
* please use desktop-file-install https://fedoraproject.org/wiki/Packaging/Guidelines#Desktop_files
* where did you get Source0 from ? if it's manually created please either add comments on the exact comments to recreate it or add a script for that as SourceX
* I see references to lucene in the spec but it's not BR/R , would you explain?
Comment 2 dimitar 2012-02-26 15:06:20 EST
Thanks for the comments. I created a new SPEC file from scratch and a new SRPM. I think address all your remarks in the new version, but if there is anything else, I'll fix it.

Spec URL: https://raw.github.com/BaseXdb/basex-dist/master/linux/fedora/basex.spec
SRPM URL: https://raw.github.com/BaseXdb/basex-dist/master/linux/fedora/basex-7.1.1-1.fc16.src.rpm
Comment 3 Jason Tibbitts 2013-05-01 11:43:37 EDT
I am triaging old review tickets.  I can't promise a review if you reply, but by closing out the stale tickets we can devote extra attention to the ones which aren't stale.

This fails to build for me; here is a scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5321604
Comment 4 Mikolaj Izdebski 2015-01-26 07:13:35 EST
No response from submitter - closing as WONTFIX. Feel free to reopen this once basex is fixed.

Note You need to log in before you can comment on or make changes to this bug.